summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorNicolas Iooss2017-06-24 09:12:31 +0200
committerNicolas Iooss2017-06-24 09:12:31 +0200
commit253906af86dd59fd2e9646af9c163156b4c55b4b (patch)
tree6b3c848122b287c2c0231e4e241c8d8e01b32fa3
parentd66378712afb33bb80c1c03e02ea3229f3a90a4f (diff)
downloadaur-253906af86dd59fd2e9646af9c163156b4c55b4b.tar.gz
setools3-libs: mark incompatibility with next libsepol release
libsepol changed its interface in 2.7-rc1 and setools3 will not be updated to this new version. Hardcode the incompatible libsepol version in PKGBUILD. Users are encouraged to migrate to setools (version 4).
-rw-r--r--.SRCINFO1
-rw-r--r--PKGBUILD2
2 files changed, 2 insertions, 1 deletions
diff --git a/.SRCINFO b/.SRCINFO
index cdb9a81ceae..4d437ca5c14 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -19,6 +19,7 @@ pkgbase = setools3-libs
depends = bison
depends = libselinux>=2.4
depends = libsepol>=2.4
+ depends = libsepol<2.7
depends = sqlite3>=3.6.20
depends = python2
optdepends = glib2: needed for graphical tools
diff --git a/PKGBUILD b/PKGBUILD
index 362d4d7b403..6313006eb64 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -12,7 +12,7 @@ groups=('selinux')
arch=('i686' 'x86_64')
url="https://github.com/TresysTechnology/setools3/wiki"
license=('GPL' 'LGPL')
-depends=('flex' 'bison' 'libselinux>=2.4' 'libsepol>=2.4' 'sqlite3>=3.6.20' 'python2')
+depends=('flex' 'bison' 'libselinux>=2.4' 'libsepol>=2.4' 'libsepol<2.7' 'sqlite3>=3.6.20' 'python2')
optdepends=('glib2: needed for graphical tools'
'gtk2>=2.8: needed for graphical tools'
'bwidget>=1.8: needed for graphical tools'